> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pcibooking.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve VCP Credential Structure

> Get the list of required credential fields for a specific virtual card provider.

Returns the credential field names required when [storing credentials](/api-reference/process-cards/store-credentials) for a specific virtual card provider. Use this to determine the correct structure before storing VCP credentials.

This endpoint is publicly accessible and does not require authentication.

## Error Responses

| Code   | HTTP Status | Condition                                                    |
| ------ | ----------- | ------------------------------------------------------------ |
| `-160` | `404`       | Virtual card provider with the specified name was not found. |

## Parameters

### Path Parameters

<ParamField path="name" type="string" required>
  The name of the virtual card provider (e.g. `WEX`, `Rapyd`). See [List Virtual Card Providers](/api-reference/additional/list-virtual-card-providers) for available names.
</ParamField>

<RequestExample>
  ```javascript Node.js theme={null}
  const providerName = 'WEX';

  const response = await fetch(`https://service.pcibooking.net/api/credentials/virtualCardProvider/${providerName}`);

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  provider_name = 'WEX'

  response = requests.get(
      f'https://service.pcibooking.net/api/credentials/virtualCardProvider/{provider_name}'
  )

  print(response.json())
  ```
</RequestExample>

## Response

Returns an array of credential field name strings.

<ResponseExample>
  ```json 200 theme={null}
  [
      "MerchantID",
      "SharedSecret",
      "Account",
      "RebatePWD"
  ]
  ```

  ```json 404 theme={null}
  {
      "code": -160,
      "message": "Resource not found",
      "moreInfo": "The selected Virtual Card Provider [InvalidName] is not valid",
      "errorList": null
  }
  ```
</ResponseExample>
